## hashcat-utils 1.9

=== src/Makefile ===
##
##  Makefile
##

CFLAGS += -Wall -W -pipe -O2 -std=gnu99

all: clean native

release: native windows
	$(STRIP_NATIVE) *.bin
	$(STRIP_WINDOWS) *.exe
	mv *.bin ../bin
	mv *.exe ../bin
	cp -a *.pl ../bin

clean:
	rm -f ../bin/*
	rm -f *.bin *.exe

##
## native
##

CC            ?= gcc
CC_NATIVE      = $(CC)
STRIP_NATIVE   = strip
CFLAGS_NATIVE  = $(CFLAGS)
LDFLAGS_NATIVE = $(LDFLAGS)

native:
	${CC_NATIVE} ${CFLAGS_NATIVE} ${LDFLAGS_NATIVE} -o cap2hccapx.bin cap2hccapx.c
	${CC_NATIVE} ${CFLAGS_NATIVE} ${LDFLAGS_NATIVE} -o cleanup-rules.bin cleanup-rules.c
	${CC_NATIVE} ${CFLAGS_NATIVE} ${LDFLAGS_NATIVE} -o combinator.bin combinator.c
	${CC_NATIVE} ${CFLAGS_NATIVE} ${LDFLAGS_NATIVE} -o combinator3.bin combinator3.c
	${CC_NATIVE} ${CFLAGS_NATIVE} ${LDFLAGS_NATIVE} -o combipow.bin combipow.c
	${CC_NATIVE} ${CFLAGS_NATIVE} ${LDFLAGS_NATIVE} -o ct3_to_ntlm.bin ct3_to_ntlm.c
	${CC_NATIVE} ${CFLAGS_NATIVE} ${LDFLAGS_NATIVE} -o cutb.bin cutb.c
	${CC_NATIVE} ${CFLAGS_NATIVE} ${LDFLAGS_NATIVE} -o expander.bin expander.c
	${CC_NATIVE} ${CFLAGS_NATIVE} ${LDFLAGS_NATIVE} -o gate.bin gate.c
	${CC_NATIVE} ${CFLAGS_NATIVE} ${LDFLAGS_NATIVE} -o generate-rules.bin generate-rules.c
	${CC_NATIVE} ${CFLAGS_NATIVE} ${LDFLAGS_NATIVE} -o hcstatgen.bin hcstatgen.c
	${CC_NATIVE} ${CFLAGS_NATIVE} ${LDFLAGS_NATIVE} -o hcstat2gen.bin hcstat2gen.c
	${CC_NATIVE} ${CFLAGS_NATIVE} ${LDFLAGS_NATIVE} -o keyspace.bin keyspace.c
	${CC_NATIVE} ${CFLAGS_NATIVE} ${LDFLAGS_NATIVE} -o len.bin len.c
	${CC_NATIVE} ${CFLAGS_NATIVE} ${LDFLAGS_NATIVE} -o mli2.bin mli2.c
	${CC_NATIVE} ${CFLAGS_NATIVE} ${LDFLAGS_NATIVE} -o morph.bin morph.c
	${CC_NATIVE} ${CFLAGS_NATIVE} ${LDFLAGS_NATIVE} -o permute.bin permute.c
	${CC_NATIVE} ${CFLAGS_NATIVE} ${LDFLAGS_NATIVE} -o permute_exist.bin permute_exist.c
	${CC_NATIVE} ${CFLAGS_NATIVE} ${LDFLAGS_NATIVE} -o prepare.bin prepare.c
	${CC_NATIVE} ${CFLAGS_NATIVE} ${LDFLAGS_NATIVE} -o req-include.bin req-include.c
	${CC_NATIVE} ${CFLAGS_NATIVE} ${LDFLAGS_NATIVE} -o req-exclude.bin req-exclude.c
	${CC_NATIVE} ${CFLAGS_NATIVE} ${LDFLAGS_NATIVE} -o rli.bin rli.c
	${CC_NATIVE} ${CFLAGS_NATIVE} ${LDFLAGS_NATIVE} -o rli2.bin rli2.c
	${CC_NATIVE} ${CFLAGS_NATIVE} ${LDFLAGS_NATIVE} -o rules_optimize.bin rules_optimize.c cpu_rules.c
	${CC_NATIVE} ${CFLAGS_NATIVE} ${LDFLAGS_NATIVE} -o splitlen.bin splitlen.c
	${CC_NATIVE} ${CFLAGS_NATIVE} ${LDFLAGS_NATIVE} -o strip-bsr.bin strip-bsr.c
	${CC_NATIVE} ${CFLAGS_NATIVE} ${LDFLAGS_NATIVE} -o strip-bsn.bin strip-bsn.c

##
## WINDOWS
##

CC_WINDOWS     = x86_64-w64-mingw32-gcc
STRIP_WINDOWS  = x86_64-w64-mingw32-strip
CFLAGS_WINDOWS = $(CFLAGS) -D_WINDOWS
GLOB_WINDOWS   = /usr/x86_64-w64-mingw32/lib/CRT_glob.o

windows:
	${CC_WINDOWS} ${CFLAGS_WINDOWS} -o cap2hccapx.exe cap2hccapx.c
	${CC_WINDOWS} ${CFLAGS_WINDOWS} -o cleanup-rules.exe cleanup-rules.c
	${CC_WINDOWS} ${CFLAGS_WINDOWS} -o combinator.exe combinator.c
	${CC_WINDOWS} ${CFLAGS_WINDOWS} -o combinator3.exe combinator3.c
	${CC_WINDOWS} ${CFLAGS_WINDOWS} -o combipow.exe combipow.c
	${CC_WINDOWS} ${CFLAGS_WINDOWS} -o ct3_to_ntlm.exe ct3_to_ntlm.c
	${CC_WINDOWS} ${CFLAGS_WINDOWS} -o cutb.exe cutb.c
	${CC_WINDOWS} ${CFLAGS_WINDOWS} -o expander.exe expander.c
	${CC_WINDOWS} ${CFLAGS_WINDOWS} -o gate.exe gate.c
	${CC_WINDOWS} ${CFLAGS_WINDOWS} -o generate-rules.exe generate-rules.c
	${CC_WINDOWS} ${CFLAGS_WINDOWS} -o hcstatgen.exe hcstatgen.c
	${CC_WINDOWS} ${CFLAGS_WINDOWS} -o hcstat2gen.exe hcstat2gen.c
	${CC_WINDOWS} ${CFLAGS_WINDOWS} -o keyspace.exe keyspace.c
	${CC_WINDOWS} ${CFLAGS_WINDOWS} -o len.exe len.c
	${CC_WINDOWS} ${CFLAGS_WINDOWS} -o mli2.exe mli2.c
	${CC_WINDOWS} ${CFLAGS_WINDOWS} -o morph.exe morph.c
	${CC_WINDOWS} ${CFLAGS_WINDOWS} -o permute.exe permute.c
	${CC_WINDOWS} ${CFLAGS_WINDOWS} -o permute_exist.exe permute_exist.c
	${CC_WINDOWS} ${CFLAGS_WINDOWS} -o prepare.exe prepare.c
	${CC_WINDOWS} ${CFLAGS_WINDOWS} -o req-include.exe req-include.c
	${CC_WINDOWS} ${CFLAGS_WINDOWS} -o req-exclude.exe req-exclude.c
	${CC_WINDOWS} ${CFLAGS_WINDOWS} -o rli.exe rli.c ${GLOB_WINDOWS}
	${CC_WINDOWS} ${CFLAGS_WINDOWS} -o rli2.exe rli2.c
	${CC_WINDOWS} ${CFLAGS_WINDOWS} -o rules_optimize.exe rules_optimize.c cpu_rules.c
	${CC_WINDOWS} ${CFLAGS_WINDOWS} -o splitlen.exe splitlen.c
	${CC_WINDOWS} ${CFLAGS_WINDOWS} -o strip-bsr.exe strip-bsr.c
	${CC_WINDOWS} ${CFLAGS_WINDOWS} -o strip-bsn.exe strip-bsn.c

=== debian/changelog ===
hashcat-utils (1.9-0kali2) kali-dev; urgency=medium

  * Add arm64 and armhf to supported architectures
  * Bump debian/compat version from 9 to 12

 -- Steev Klimaszewski <steev@kali.org>  Mon, 29 Jun 2020 10:06:14 -0500

hashcat-utils (1.9-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@freexian.com>  Tue, 21 Aug 2018 15:38:04 +0200

hashcat-utils (1.7-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@freexian.com>  Tue, 09 May 2017 15:06:24 +0200

hashcat-utils (1.2-0kali1) kali-dev; urgency=medium

  * Import new upstream release
  * debian/copyright: new license (MIT)
  * debian/control: change section as code is now licensed under MIT
  * Use debhelper 9
  * Update debian/rules and debian/hashcat-utils.install to build from source
  * Add a patch to buld with LDFLAGS

 -- Sophie Brun <sophie@freexian.com>  Tue, 12 Jan 2016 09:47:09 +0100

hashcat-utils (1.1-0kali0) kali; urgency=medium

  * Imported new upstream release (Closes: 0001848)

 -- Devon Kearns <dookie@kali.org>  Tue, 28 Oct 2014 19:06:08 -0600

hashcat-utils (0.9-1kali1) kali; urgency=low

  * Moved to non-free

 -- Mati Aharoni <muts@kali.org>  Sat, 02 Mar 2013 12:47:24 -0500

hashcat-utils (0.9-1kali0) kali; urgency=low

  * Initial release 

 -- Devon Kearns <dookie@kali.org>  Mon, 25 Feb 2013 07:12:40 -0700

=== debian/control ===
Source: hashcat-utils
Section: utils
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Devon Kearns <dookie@kali.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 4.2.0
Homepage: https://github.com/hashcat/hashcat-utils/
Vcs-Git: https://gitlab.com/kalilinux/packages/hashcat-utils.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/hashcat-utils

Package: hashcat-utils
Architecture: i386 amd64 arm64 armhf
Depends: ${shlibs:Depends}, ${misc:Depends}, perl
Description: Set of small utilities for advanced password cracking
 Hashcat-utils are a set of small utilities that are useful in advanced 
 password cracking.
 .
 They all are packed into multiple stand-alone binaries.
 .
 All of these utils are designed to execute only one specific function.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ 

override_dh_auto_build:
	make native -C src

=== debian/watch ===
version=3
opts="filenamemangle=s/.*\/v?(.*)\.tar\.gz/hashcat-utils-$1.tar.gz/" \
https://github.com/hashcat/hashcat-utils/tags .*/v?(.*)\.tar\.gz

## hashcat-utils 1.9+git20190608.1.f2a86c7

=== debian/changelog ===
hashcat-utils (1.9+git20190608.1.f2a86c7-0kali1~jan+nus14) kali-bleeding-edge; urgency=low

  * New upstream snapshot.
  * Build for debian-janitor apt repository.

 -- Kali Janitor <janitor@kali.org>  Mon, 07 Jun 2021 16:18:15 -0000

=== debian/control ===
Source: hashcat-utils
Section: utils
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Devon Kearns <dookie@kali.org>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.2.1
Homepage: https://github.com/hashcat/hashcat-utils/
Vcs-Git: https://gitlab.com/kalilinux/packages/hashcat-utils.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/hashcat-utils

Package: hashcat-utils
Architecture: i386 amd64 arm64 armhf
Depends: ${shlibs:Depends}, ${misc:Depends}, perl
Description: Set of small utilities for advanced password cracking
 Hashcat-utils are a set of small utilities that are useful in advanced
 password cracking.
 .
 They all are packed into multiple stand-alone binaries.
 .
 All of these utils are designed to execute only one specific function.

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ 
+	dh $@
 
 override_dh_auto_build:
 	make native -C src

## hashcat-utils 1.10

=== debian/changelog ===
hashcat-utils (1.10-0kali1) kali-experimental; urgency=medium

  [ Ben Wilson ]
  * Update email address
  * Remove template comment and switch spaces to tabs

  [ Kali Janitor ]
  * Update watch file format version to 4.

  [ Steev Klimaszewski ]
  * ci: Disable building on armel

  [ Arnaud Rebillout ]
  * Drop armel-related variable from CI (no more armel runner)

  [ Sophie Brun ]
  * New upstream version 1.10
  * Update my email
  * Update Uploaders
  * Update debian/coyright
  * Refresh patches
  * Bump Standards-Version to 4.7.2

 -- Sophie Brun <sophie@kali.org>  Mon, 22 Sep 2025 16:52:15 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: utils
 Priority: optional
 Maintainer: Kali Developers <devel@kali.org>
-Uploaders: Devon Kearns <dookie@kali.org>
+Uploaders: Sophie Brun <sophie@kali.org>
 Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.2.1
+Standards-Version: 4.7.2
 Homepage: https://github.com/hashcat/hashcat-utils/
 Vcs-Git: https://gitlab.com/kalilinux/packages/hashcat-utils.git
 Vcs-Browser: https://gitlab.com/kalilinux/packages/hashcat-utils

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	make native -C src

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/v?(.*)\.tar\.gz/hashcat-utils-$1.tar.gz/ https://github.com/hashcat/hashcat-utils/tags .*/v?(.*)\.tar\.gz
